Debian Bug report logs - #349463
avifile: links to libfreetype6, which is going away

version graph

Package: avifile; Maintainer for avifile is Ying-Chun Liu (PaulLiu) <paulliu@debian.org>;

Reported by: Steve Langasek <vorlon@debian.org>

Date: Mon, 23 Jan 2006 07:48:04 UTC

Severity: important

Found in version avifile/1:0.7.44.20051021-1

Fixed in version avifile/1:0.7.47.20070718-1

Done: Zdenek Kabelac <kabi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Zdenek Kabelac <kabi@debian.org>:
Bug#349463; Package avifile. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
New Bug report received and forwarded. Copy sent to Zdenek Kabelac <kabi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: submit@bugs.debian.org
Subject: avifile: links to libfreetype6, which is going away
Date: Sun, 22 Jan 2006 23:39:14 -0800
[Message part 1 (text/plain, inline)]
Package: avifile
Version: 1:0.7.44.20051021-1
Severity: important

Hi Zdenec,

The libavifile-0.7c2 and avifile-utils packages currently depend on
libfreetype6, but they do not use it.  This dependency is being pulled in
because the upstream build rules are detecting libfreetype for use with some
code which is not being built.

Attached is a patch which fixes the avifile package build to no longer
link against spurious libraries.  This patch fixes the binary package
dependencies from this:

 Depends: libaa1 (>= 1.2), libartsc0 (>= 1.4.2-1), libasound2 (>> 1.0.9), libaudio2, libaudiofile0 (>= 0.2.3-4), libc6 (>= 2.3.5-1), libesd0 (>= 0.2.35) | libesd-alsa0 (>= 0.2.35), libfontconfig1 (>= 2.3.0), libfreetype6 (>= 2.1.5-1), libgcc1 (>= 1:4.0.1), libglib2.0-0 (>= 2.8.0), libice6 | xlibs (>> 4.1.0), libsdl1.2debian (>> 1.2.7+1.2.8), libslang2 (>= 2.0.1-1), libsm6 | xlibs (>> 4.1.0), libstdc++6 (>= 4.0.2), libsvga1, libx11-6 | xlibs (>> 4.1.0), libxext6 | xlibs (>> 4.1.0), libxft2 (>> 2.1.1), libxi6 | xlibs (>> 4.1.0), libxinerama1, libxrender1 (>> 1:0.9.0-1), libxt6 | xlibs (>> 4.1.0), libxv1, libxxf86dga1, libxxf86vm1, zlib1g (>= 1:1.2.1)

to this:

 Depends: libc6 (>= 2.3.5-1), libfontconfig1 (>= 2.3.0), libgcc1 (>= 1:4.0.2), libice6, libsdl1.2debian (>> 1.2.7+1.2.8), libsm6, libstdc++6 (>= 4.0.2-4), libx11-6, libxext6, libxft2 (>> 2.1.1), libxi6, libxinerama1, libxrender1 (>= 1:0.9.0.2), libxv1, libxxf86dga1, libxxf86vm1, zlib1g (>= 1:1.2.1)

Although libfreetype6 is currently available in unstable, due to bug #314385
it is very likely that this package will have to go through a library
transition in the near future.  Since avifile doesn't use freetype, I'm
filing this bug pre-emptively to encourage you to get your package free of
the transition before it starts.  However, since it requires changes to the
upstream handling of convenience libs within the package, I'm filing this
bug report at severity: important, unlike other bugs that I'm filing at
grave.  In addition, avifile will still end up linked against libfreetype
until bug #349318 is somehow addressed.  This shouldn't stop you from
uploading a fix for avifile, though, since the latter bug can be taken care
of with a binNMU once xft has been fixed.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[avifile-trim-libs.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Blocking bugs added: 349318 Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Zdenek Kabelac <kabi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 349463-close@bugs.debian.org (full text, mbox):

From: Zdenek Kabelac <kabi@debian.org>
To: 349463-close@bugs.debian.org
Subject: Bug#349463: fixed in avifile 1:0.7.47.20070718-1
Date: Wed, 18 Jul 2007 22:47:03 +0000
Source: avifile
Source-Version: 1:0.7.47.20070718-1

We believe that the bug you reported is fixed in the latest version of
avifile, which is due to be installed in the Debian FTP archive:

avifile-divx-plugin_0.7.47.20070718-1_i386.deb
  to pool/contrib/a/avifile/avifile-divx-plugin_0.7.47.20070718-1_i386.deb
avifile-mad-plugin_0.7.47.20070718-1_i386.deb
  to pool/main/a/avifile/avifile-mad-plugin_0.7.47.20070718-1_i386.deb
avifile-mjpeg-plugin_0.7.47.20070718-1_i386.deb
  to pool/main/a/avifile/avifile-mjpeg-plugin_0.7.47.20070718-1_i386.deb
avifile-player_0.7.47.20070718-1_i386.deb
  to pool/main/a/avifile/avifile-player_0.7.47.20070718-1_i386.deb
avifile-utils_0.7.47.20070718-1_i386.deb
  to pool/main/a/avifile/avifile-utils_0.7.47.20070718-1_i386.deb
avifile-vorbis-plugin_0.7.47.20070718-1_i386.deb
  to pool/main/a/avifile/avifile-vorbis-plugin_0.7.47.20070718-1_i386.deb
avifile-win32-plugin_0.7.47.20070718-1_i386.deb
  to pool/contrib/a/avifile/avifile-win32-plugin_0.7.47.20070718-1_i386.deb
avifile-xvid-plugin_0.7.47.20070718-1_i386.deb
  to pool/contrib/a/avifile/avifile-xvid-plugin_0.7.47.20070718-1_i386.deb
avifile_0.7.47.20070718-1.dsc
  to pool/main/a/avifile/avifile_0.7.47.20070718-1.dsc
avifile_0.7.47.20070718-1.tar.gz
  to pool/main/a/avifile/avifile_0.7.47.20070718-1.tar.gz
libavifile-0.7-dev_0.7.47.20070718-1_i386.deb
  to pool/main/a/avifile/libavifile-0.7-dev_0.7.47.20070718-1_i386.deb
libavifile-0.7c2_0.7.47.20070718-1_i386.deb
  to pool/main/a/avifile/libavifile-0.7c2_0.7.47.20070718-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 349463@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Zdenek Kabelac <kabi@debian.org> (supplier of updated avifile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 18 Jul 2007 10:49:49 +0200
Source: avifile
Binary: avifile-divx-plugin avifile-utils avifile-mad-plugin libavifile-0.7-dev avifile-vorbis-plugin libavifile-0.7c2 avifile-win32-plugin avifile-xvid-plugin avifile-mjpeg-plugin avifile-player
Architecture: source i386
Version: 1:0.7.47.20070718-1
Distribution: unstable
Urgency: medium
Maintainer: Zdenek Kabelac <kabi@debian.org>
Changed-By: Zdenek Kabelac <kabi@debian.org>
Description: 
 avifile-divx-plugin - Divx4Linux video de/encoding plugin for libavifile
 avifile-mad-plugin - MAD - MPEG audio plugin for libavifile
 avifile-mjpeg-plugin - MJPEG video plugin for libavifile
 avifile-player - video player for AVI/ASF/WMF files
 avifile-utils - utility programs using the avifile library
 avifile-vorbis-plugin - Vorbis audio plugin for libavifile
 avifile-win32-plugin - Win32 audio/video plugin for libavifile
 avifile-xvid-plugin - XviD video encoding plugin for libavifile
 libavifile-0.7-dev - development header files for libavifile
 libavifile-0.7c2 - shared libraries for AVI read/writing
Closes: 202992 347536 349463 356968 356969 362744 376333 395386 408368 409050 423742
Changes: 
 avifile (1:0.7.47.20070718-1) unstable; urgency=medium
 .
   * compilable with latest compilers (Closes: 395386, 423742, 356968)
   * compiles with the libraries available on system (Closes: 349463)
   * I'm upstream :) - patch applied (Closes: 409050)
   * removing -rpath from avifile-config --libs output (Closes: 347536)
   * closing NMU bug (already fixed in previous version) (Closes: 202992)
   * fixed compilation bug for LIBXXF86DGA (Closes: 356969)
   * dependency on automake fixed (Closes: 376333)
   * fixed man page spelling (Closes: 408368)
   * another spelling fix (Closes: 362744)
Files: 
 ba152e61aa9414ea006f1fff64512a2b 1043 graphics optional avifile_0.7.47.20070718-1.dsc
 5a9ac8cb576c5468b1e5b1be0cc85b4a 4381180 graphics optional avifile_0.7.47.20070718-1.tar.gz
 8a841fe4b4e5b89680f669d2d45e07bd 2286540 libs optional libavifile-0.7c2_0.7.47.20070718-1_i386.deb
 338e0fdd1d850940d165d0f7ab4584cd 49628 devel optional libavifile-0.7-dev_0.7.47.20070718-1_i386.deb
 012f7096c779853abf61bd9b6e922a6f 68294 libs optional avifile-mad-plugin_0.7.47.20070718-1_i386.deb
 951aa3feaf7592d972496803af09d622 10980 libs optional avifile-mjpeg-plugin_0.7.47.20070718-1_i386.deb
 7a2db57bd7a2f5048068325bb6edf3cb 7304 libs optional avifile-vorbis-plugin_0.7.47.20070718-1_i386.deb
 f5318e27c6f06332da0220ba7491d824 89540 contrib/libs optional avifile-win32-plugin_0.7.47.20070718-1_i386.deb
 ed3b7a48940dbf9e641e0cf9579f1f9b 926 contrib/libs optional avifile-xvid-plugin_0.7.47.20070718-1_i386.deb
 11386f80ad712cb29d2a5f0b5032dd49 12176 contrib/libs optional avifile-divx-plugin_0.7.47.20070718-1_i386.deb
 e90a6b44a2ad08e240041b68f428dc51 103292 graphics extra avifile-player_0.7.47.20070718-1_i386.deb
 e0e51e1930cff0381435cce01ab3a146 293932 graphics extra avifile-utils_0.7.47.20070718-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQCVAwUBRp6IeFWWyMLXq+m5AQIJ3AP9GSgyeo0MM1DO7MkY8Zr1GIty33H/QZm8
Td+TxCNLxk9WZNt8FNo7bBnjmxqFMFtg0W7cBp5iOOUGca4G1SP7P6CLSz063vRX
pqTgWsswBkorc4tl0d8tMv/Nz3Sx+C882D0gLRgP5UlTgGlKReJNBFIWr3QLxTEo
o9CIIxX0wRc=
=AnV6
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 31 Jan 2008 07:31:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:31:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.